Skip to main content
POST
/
deleted-profiles
/
restore
Restore deleted profiles
curl --request POST \
  --url https://api.gologin.com/deleted-profiles/restore \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profileIds": [
    "60a763f3f003b444f8aae4f2",
    "60a763f3f003b444f8aae4f3"
  ],
  "workspaceId": "60a763f3f003b444f8aae4f2"
}
'
import requests

url = "https://api.gologin.com/deleted-profiles/restore"

payload = {
"profileIds": ["60a763f3f003b444f8aae4f2", "60a763f3f003b444f8aae4f3"],
"workspaceId": "60a763f3f003b444f8aae4f2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileIds: ['60a763f3f003b444f8aae4f2', '60a763f3f003b444f8aae4f3'],
workspaceId: '60a763f3f003b444f8aae4f2'
})
};

fetch('https://api.gologin.com/deleted-profiles/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
profileIds
string[]
required

Array of profile ids to restore.

Example:
[
"60a763f3f003b444f8aae4f2",
"60a763f3f003b444f8aae4f3"
]
workspaceId
string
required

Workspace id to restore profiles to.

Example:

"60a763f3f003b444f8aae4f2"

Response

201 - undefined